<?xml version="1.0" encoding="utf-8"?>
<Session ID="/baanerp/da/xch/daxch0204m000" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Create Definition Files (daxch0204m000)</Title>
	</Header>
	<HelpTopic xml:lang="en"><AimSection><Paragraph class="Default">
                                 Use this session to create <Link href="/baanerp/da/glossary/glossary#000007" role="glossary">definition files</Link> automatically.</Paragraph>
		</AimSection>
		<GeneralSection><Paragraph class="Default">This sessions dumps the structure of the <Link href="/baanerp/da/glossary/glossary#000001" role="glossary">ASCII files</Link> definitions into sequential files. The sequential files are specified in the <Link href="/baanerp/da/glossary/glossary#000001" role="glossary">ASCII file</Link> code table in the <GUIRef href="/baanerp/da/xch/daxch0102m000" role="session">ASCII Files (daxch0102m000)</GUIRef> session. <Link href="/baanerp/da/glossary/glossary#000007" role="glossary">definition files</Link> can be used in other environments where they are copied with the <GUIRef href="/baanerp/da/xch/daxch0203m000" role="session">Create ASCII File Fields and Relations (daxch0203m000)</GUIRef> session.</Paragraph>
			<ProcedureList><ListIntro>To create <Link href="/baanerp/da/glossary/glossary#000007" role="glossary">definition files</Link>, do as follows:</ListIntro>
				<ListItem>Enter the code of the <Link href="/baanerp/da/glossary/glossary#000003" role="glossary">exchange scheme</Link>.</ListItem>
				<ListItem>Enter the code of the <Link href="/baanerp/da/glossary/glossary#000001" role="glossary">ASCII files</Link>.</ListItem>
				<ListItem>Click Create to start the process.</ListItem>
			</ProcedureList>
			<Paragraph class="Default">This process can also run as part of a job.</Paragraph>
			<Paragraph class="Default">Click <GUIRef href="" role="manual">Add to Job</GUIRef> to start the Job Manager.</Paragraph>
			<Paragraph class="Default">The created definition file is entered in the <Link href="/baanerp/da/glossary/glossary#000007" role="glossary">definition file</Link> field in the <GUIRef href="/baanerp/da/xch/daxch0102m000" role="session">ASCII Files (daxch0102m000)</GUIRef> session. If in that field the <Link href="/baanerp/da/glossary/glossary#000017" role="glossary">absolute path</Link> is not entered, the path is taken from the Path for <Link href="/baanerp/da/glossary/glossary#000007" role="glossary">definition files</Link> field in the <GUIRef href="/baanerp/da/xch/daxch0101s000" role="session">Exchange Schemes (daxch0101s000)</GUIRef> session. If the <Link href="/baanerp/da/glossary/glossary#000007" role="glossary">definition file</Link> field is empty, the <Link href="/baanerp/da/glossary/glossary#000007" role="glossary">definition file</Link> is identified by a code consisting of the letter d followed by the <Link href="/baanerp/da/glossary/glossary#000001" role="glossary">ASCII file</Link> code.</Paragraph>
			<Paragraph class="Default">The created sequential dump has the following fields:</Paragraph>
			<TABLE border="1" borderstyle="default" space-and-orientation="indented-estimated"><TBODY><TR><TD colspan="1" rowspan="1">Column 1 - 4</TD>
						<TD colspan="1" rowspan="1">Field Number</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1">Column 5 - 12</TD>
						<TD colspan="1" rowspan="1">Field Name</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1">Column 13 - 42</TD>
						<TD colspan="1" rowspan="1">Description of field</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1">Column 43 - 46</TD>
						<TD colspan="1" rowspan="1">Start position of field</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1">Column 47 - 50</TD>
						<TD colspan="1" rowspan="1">Length of field</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1">Column 51 - 51</TD>
						<TD colspan="1" rowspan="1">Type of Field Indicator</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1"></TD>
						<TD colspan="1" rowspan="1">1 - Alphanumeric</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1"></TD>
						<TD colspan="1" rowspan="1">2 - Numeric</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1">Column 52 - 53</TD>
						<TD colspan="1" rowspan="1">Date Format</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1">Column 54 - 54</TD>
						<TD colspan="1" rowspan="1">Floating Decimal</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1"></TD>
						<TD colspan="1" rowspan="1">1 - Yes</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1"></TD>
						<TD colspan="1" rowspan="1">2 - No</TD>
					</TR>
					<TR><TD colspan="1" rowspan="1">Column 55 - 56</TD>
						<TD colspan="1" rowspan="1">Position of Decimal Point</TD>
					</TR>
				</TBODY>
			</TABLE>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<List><ListItem>This session is generally used by the exporting site. The created <Link href="/baanerp/da/glossary/glossary#000007" role="glossary">definition files</Link> are transferred to the importing site.</ListItem>
					<ListItem>Existing <Link href="/baanerp/da/glossary/glossary#000007" role="glossary">definition files</Link> are overwritten.</ListItem>
				</List>
			</Note>
		</GeneralSection>
		<RelatedTopics><SectionTitle>
                                 Related topics
                              </SectionTitle>
			<RelTopic><Link href="/baanerp/basictasks/000005" role="manual">To use a details session</Link>
			</RelTopic>
		</RelatedTopics>
	</HelpTopic>
	<Fields><FieldHelp ID="cxch.f"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Exchange Scheme</Title>
			</Header>
			<FuncDesc>Enter the code of the <Link href="/baanerp/da/glossary/glossary#000003" role="glossary">exchange scheme</Link>.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="cxch.t"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Exchange Scheme</Title>
			</Header>
			<FuncDesc>Enter the code of the <Link href="/baanerp/da/glossary/glossary#000003" role="glossary">exchange scheme</Link>.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="casf.f"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">ASCII File</Title>
			</Header>
			<FuncDesc>Enter the code of the <Link href="/baanerp/da/glossary/glossary#000001" role="glossary">ASCII file</Link>.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="casf.t"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">ASCII File</Title>
			</Header>
			<FuncDesc>Enter the code of the <Link href="/baanerp/da/glossary/glossary#000001" role="glossary">ASCII file</Link>.</FuncDesc>
		</FieldHelp>
	</Fields>
</Session>
